# Channel.Direct (sshj 0.5.0 API)
Date: 2011-07-27

## net.schmizz.sshj.connection.channel
Interface Channel.Direct

All Superinterfaces:
  Channel, Closeable, ErrorNotifiable, SSHPacketHandler

All Known Implementing Classes:
  AbstractDirectChannel, SessionChannel

Enclosing interface:
  Channel

    public static interface Channel.Direct

extends Channel

Direct channels are those that are initiated by us.

Nested Class Summary

Nested classes/interfaces inherited from interface net.schmizz.sshj.connection.channel.Channel
`Channel.Direct, Channel.Forwarded`

Nested classes/interfaces inherited from interface net.schmizz.sshj.common.ErrorNotifiable
`ErrorNotifiable.Util`

Method Summary
`void` `open()` Request opening this channel from remote end.

Methods inherited from interface net.schmizz.sshj.connection.channel.Channel
`close, getAutoExpand, getID, getInputStream, getLocalMaxPacketSize, getLocalWinSize, getOutputStream, getRecipient, getRemoteMaxPacketSize, getRemoteWinSize, getType, isOpen, join, join, sendEOF, setAutoExpand`

Methods inherited from interface net.schmizz.sshj.common.SSHPacketHandler
`handle`

Methods inherited from interface net.schmizz.sshj.common.ErrorNotifiable
`notifyError`

Method Detail

### open

    void open()
              throws ConnectionException,
                     TransportException

  Request opening this channel from remote end.

  Throws:
    `OpenFailException` - in case the channel open request was rejected
    `ConnectionException` - other connection-layer error
    `TransportException` - error writing packets etc.

Copyright © 2009-2011. All Rights Reserved.